/* BASE STYLES */

html {
  font-size: 100%;
  height: 100%;
  min-width: 310px;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

  @media screen and (max-width: 318px) {
    overflow-x: auto;
  }
}

body {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  max-width: 1920px;
  margin: 0 auto;
  font-family: $font-family-primary;
  font-size: $font-size-primary;
  line-height: $line-height-primary;
  font-weight: $font-weight-regular;
  color: $color-black-light;
  background: $color-background-body;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;

  @include mq('laptop', 'max') {
    font-size: 18px;
  }

  @include mq('tablet', 'max') {
    font-size: 16px;
  }

  &.locked {
    overflow: hidden;
  }
}

.wrapper {
  width: 100%;
  flex: 1 0 auto;
}

.content {
  position: relative;
}

.clearfix {
  clear: both;

  &:after {
    content: "";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
  }
}

img,
video {
  max-width: 100%;
  height: auto;
}

input,
textarea {
  -webkit-overflow-scrolling: touch;
}

address {
  font-style: normal;
}

input:not([type=checkbox]):not([type=radio]),
textarea,
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.form input, select, textarea,
input, select, textarea {
  @include mq('tablet', 'max') {
    font-size: 16px;
  }
}

/* end base styles */
